Bug 185854 - maybe run-parts shouldn't be part of crontabs
maybe run-parts shouldn't be part of crontabs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-19 15:35 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 11:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-03-19 15:35:26 EST
Description of problem:

run-parts may be usefull for other packages than cron. For example for cron
alternatives (fcron is being submitted to extras). I believe this explains why
there is a requires for crontabs in anacron. Maybe it would be better to have it
in another package?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Vas Dias 2006-03-19 15:50:27 EST
Yes, /usr/bin/run-parts is Provide:-ed by the crontabs package.
crontabs is a standalone package and is not part of vixie-cron or anacron.
What problems does having run-parts in crontabs present ?
Some package has to provide run-parts - why not crontabs ?


Comment 2 Patrice Dumas 2006-03-19 16:55:37 EST
Indeed it may be crontabs, but it seems rather odd to  me to mix the cron config
files with a script that may have a more generic purpose. If there is no better
place for that script, then it may be left in crontabs, but I was hoping that
there is a better place. Maybe initscripts?
Comment 3 Marcela Mašláňová 2006-09-20 11:17:44 EDT
I think it's in crontabs, 'cause many people have related run something 
automatically and cron. fcron is in extras now, so the run-parts can stay, 
where they are.

Note You need to log in before you can comment on or make changes to this bug.